#!/bin/sh
echo 'name: tls
version: 1.1.2
id: tls-1.1.2-03d5346a3b8b9a4f9ee2531fa8b4ab28

license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
stability: experimental
homepage: http://github.com/vincenthz/hs-tls
package-url:
synopsis: TLS/SSL protocol native implementation (Server and Client)
description: Native Haskell TLS and SSL protocol implementation for server and client.
             .
             This provides a high-level implementation of a sensitive security protocol,
             eliminating a common set of security issues through the use of the advanced
             type system, high level constructions and common Haskell features.
             .
             Currently implement the SSL3.0, TLS1.0, TLS1.1 and TLS1.2 protocol,
             with only RSA supported for Key Exchange.
             .
             Only core protocol available here, have a look at the
             <http://hackage.haskell.org/package/tls-extra/> package for default
             ciphers, compressions and certificates functions.
category: Network
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
exposed-modules: Network.TLS Network.TLS.Cipher
                 Network.TLS.Compression Network.TLS.Internal
hidden-modules: Network.TLS.Cap Network.TLS.Struct Network.TLS.Core
                Network.TLS.Context Network.TLS.Crypto Network.TLS.Extension
                Network.TLS.Handshake Network.TLS.Handshake.Common
                Network.TLS.Handshake.Certificate Network.TLS.Handshake.Client
                Network.TLS.Handshake.Server Network.TLS.Handshake.Signature
                Network.TLS.IO Network.TLS.MAC Network.TLS.Measurement
                Network.TLS.Packet Network.TLS.Record Network.TLS.Record.Types
                Network.TLS.Record.Engage Network.TLS.Record.Disengage
                Network.TLS.State Network.TLS.Session Network.TLS.Sending
                Network.TLS.Receiving Network.TLS.Util Network.TLS.Types
                Network.TLS.Wire
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.2/cabal/tls-1.1.2
library-dirs: /usr/local/lib/ghc-7.4.2/cabal/tls-1.1.2
              /usr/local/lib
hs-libraries: HStls-1.1.2
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.5.1.0-f58939ca866a8377999e7a71aa62d1d0
         bytestring-0.9.2.1-4cc8a513193316dfe32ba33f47609c9d
         cereal-0.3.5.2-807bd944bfc86ac5df2f667be96ad9f0
         certificate-1.3.5-07ac7ff2d2f6b7f002490a27d596f3bf
         crypto-pubkey-0.1.2-291e933b19af8406a0fef9e79352759e
         crypto-random-api-0.2.0-05bdaebfa20d2820cb397a4dc59104db
         cryptohash-0.8.3-170de5540f6d01bfc98e9e3ea9e47ba2
         mtl-2.1.2-02e701f9b1590ee88a0b5b0bd5d93a29
         network-2.3.1.0-6b6d66ee2df4c4f37033da9ed9847211
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.2/cabal/tls-1.1.2/html/tls.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.2/cabal/tls-1.1.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
